Loading...
Searching...
No Matches
argagg::csv< T > Struct Template Reference

Represents a list of comma-separated values. This is defined as a new type to embed the delimiter semantics into the type (if it was just a std::vector then it's not clear what the delimiter is). More...

`#include <csv.hpp>`

## Public Attributes

std::vector< T > | values

## Detailed Description

template<typename T>
struct argagg::csv< T >

Represents a list of comma-separated values. This is defined as a new type to embed the delimiter semantics into the type (if it was just a std::vector then it's not clear what the delimiter is).

Definition at line 49 of file csv.hpp.

## Member Data Documentation

## values

template<typename T>

std::vector<T> argagg::csv< T >::values

Definition at line 50 of file csv.hpp.

The documentation for this struct was generated from the following file:

- csv.hpp